declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly value: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly type: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "down" | "up", unknown, "up", boolean>;
    readonly reverse: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly prefix: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly suffix: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly variant: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "default" | "outline" | "filled" | "soft", unknown, "default", boolean>;
    readonly size: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "small" | "large" | "middle", unknown, "middle", boolean>;
}>, {
    props: import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
        readonly value: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
        readonly type: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "down" | "up", unknown, "up", boolean>;
        readonly reverse: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly prefix: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
        readonly suffix: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
        readonly variant: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "default" | "outline" | "filled" | "soft", unknown, "default", boolean>;
        readonly size: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "small" | "large" | "middle", unknown, "middle", boolean>;
    }>> & Readonly<{}> & {}>;
    bem: {
        b: (blockSuffix?: string) => string;
        e: (element?: string) => string;
        m: (modifier?: string) => string;
        be: (blockSuffix?: string, element?: string) => string;
        em: (element: string, modifier: string) => string;
        bm: (blockSuffix: string, modifier: string) => string;
        bem: (blockSuffix: string, element: string, modifier: string) => string;
        is: (name?: string) => string;
    };
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly value: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly type: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "down" | "up", unknown, "up", boolean>;
    readonly reverse: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly prefix: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly suffix: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "", boolean>;
    readonly variant: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "default" | "outline" | "filled" | "soft", unknown, "default", boolean>;
    readonly size: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, "small" | "large" | "middle", unknown, "middle", boolean>;
}>> & Readonly<{}>, {
    readonly reverse: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly type: import("ll-plus/es/utils").EpPropMergeType<StringConstructor, "down" | "up", unknown>;
    readonly size: import("ll-plus/es/utils").EpPropMergeType<StringConstructor, "small" | "large" | "middle", unknown>;
    readonly value: string;
    readonly prefix: string;
    readonly suffix: string;
    readonly variant: import("ll-plus/es/utils").EpPropMergeType<StringConstructor, "default" | "outline" | "filled" | "soft", unknown>;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
